UI::GXML::Tree::NodeSet Class Reference

Vector of nodes with specialised support. More...

`#include <Tree.hpp>`

Inheritance diagram for UI::GXML::Tree::NodeSet:
Collaboration diagram for UI::GXML::Tree::NodeSet:

## Data Structures

class | Dump
| NodeSet serializer. More...

## Public Member Functions

void | unlink ()
| Unlink all nodes.
NodeSet | getChilds (std::string const &name="") const
| Get a nodeset with all childs of this set.
std::string | getContent (std::string const &nodeSeparator="") const
| Get nodeset content.
std::string | dump (bool const &format=false, std::string const &encoding=DefaultEncoding_) const
| Dump shortcut.
Construct/add from various input types.
When "childs" is true, the resp. node's childs will be used.
| NodeSet (XPathObject const &xPathObject)
| NodeSet (Node const &node=Node(0), bool const &childs=false, std::string const &name="")
| NodeSet (NodeSet const &ns, bool const &childs=false, std::string const &name="")
void | add (Node const &node, bool const &childs=false, std::string const &name="")
void | add (NodeSet const &ns, bool const &childs=false, std::string const &name="")

## Detailed Description

Vector of nodes with specialised support.

## Member Function Documentation

## getContent()

std::string UI::GXML::Tree::NodeSet::getContent | ( | std::string const & | nodeSeparator = `""` | ) | const

Get nodeset content.

Concatenates all contents of all nodes.

See also
  Node's getContent().

## unlink()

void UI::GXML::Tree::NodeSet::unlink | ( |  | ) |

Unlink all nodes.

See also
  Node::unlink().

The documentation for this class was generated from the following files:

- Tree.hpp
- Tree.cpp